# Update device Update device information and settings used for communication and notification delivery for the authenticated user. Endpoint: PATCH /notifications/devices/update Version: 1.0 Security: bearerAuth ## Header parameters: - `x-fingerprint-id` (string, required) Unique device or session fingerprint identifier used for security and fraud prevention. ## Request fields (application/json): - `id` (string, required) Unique identifier of the device to be updated. Example: "65dcb3c41a9f8e0023a9b551" - `environment` (string) Application environment associated with the device. Example: "production" - `status` (string) Current device status. Enum: "active", "revoked" - `pushToken` (string) Updated push notification token. Example: "eJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.updatedmocktoken789" - `mobileSettings` (object) Mobile-specific settings to be updated. - `mobileSettings.appInstanceId` (string) Example: "app-instance-9912" - `mobileSettings.appVersion` (string) Example: "4.0.2" - `mobileSettings.osVersion` (string) Example: "18.1" - `mobileSettings.deviceModel` (string) Example: "Samsung Galaxy S24" - `webSettings` (object) Web-specific settings to be updated. - `webSettings.userAgent` (string) Example: "Mozilla/5.0 (X11; Linux x86_64)" - `webSettings.ipAddress` (string) Example: "172.16.10.25" ## Response 200 fields (application/json): - `statusCode` (integer) Example: 200 - `data` (object) - `data.device` (object) - `data.device.id` (string) Example: "65dcb3c41a9f8e0023a9b551" - `data.device.createdAt` (string) Example: "2026-01-28T19:05:33.210Z" - `data.device.updatedAt` (string) Example: "2026-01-29T17:41:08.554Z" - `data.device.deleted` (string) - `data.device.userId` (string) Example: "c7b1f812-4b3e-49a0-9c21-2e8b0a7d4f91" - `data.device.deviceId` (string) Example: "device-bf72c1" - `data.device.platform` (string) Enum: "android", "ios", "web" - `data.device.lastUsedAt` (string) Example: "2026-01-29T17:40:55.900Z" - `data.device.status` (string) Enum: "active", "revoked" - `data.device.environment` (string) Example: "production" - `data.device.lastSeenAt` (string) Example: "2026-01-29T17:40:55.900Z" - `data.device.pushToken` (string) Example: "eJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.updatedmocktoken789" - `data.device.mobileSettings` (object) - `data.device.mobileSettings.appInstanceId` (string) Example: "app-instance-9912" - `data.device.mobileSettings.appVersion` (string) Example: "4.0.2" - `data.device.mobileSettings.osVersion` (string) Example: "18.1" - `data.device.mobileSettings.deviceModel` (string) Example: "Samsung Galaxy S24" - `data.device.webSettings` (object) - `data.device.webSettings.userAgent` (string) Example: "Mozilla/5.0 (X11; Linux x86_64)" - `data.device.webSettings.ipAddress` (string) Example: "172.16.10.25" ## Response 400 fields (application/json): - `message` (string) Invalid param: [] Example: "Invalid param: []" - `error` (string) Bad Request Example: "Bad Request" - `statusCode` (integer) 400 Example: 400 ## Response 401 fields (application/json): - `message` (string) Invalid field Example: "Unauthorized" - `error` (string) Unauthorized Example: "Unauthorized" - `statusCode` (integer) 401 Example: 401 ## Response 403 fields (application/json): - `message` (string) Forbidden resource Example: "Forbidden resource" - `error` (string) Forbidden Example: "Forbidden" - `statusCode` (integer) 403 Example: 403 ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "Internal server error" - `error` (string) Internal Server Error Example: "Internal Server Error" - `statusCode` (integer) 500 Example: 500